#pragma once
#include "QToolAbstract.h"
#include "RasterProcessTool.h"


class GF3ImportDataToolButton : public QToolAbstract {
	Q_OBJECT
public:
	GF3ImportDataToolButton( QWidget* parent = nullptr);
	~GF3ImportDataToolButton();
public slots:
	virtual void excute() override;

};

class Complex2AmpPhaseToolButton : public QToolAbstract {
	Q_OBJECT
public:
	Complex2AmpPhaseToolButton( QWidget* parent = nullptr);
	~Complex2AmpPhaseToolButton();
public slots:

	virtual void excute() override;

};

class QRDOrthProcessClassToolButton : public QToolAbstract {
	Q_OBJECT
public:
	QRDOrthProcessClassToolButton( QWidget* parent = nullptr);
	~QRDOrthProcessClassToolButton();
public slots:

	virtual void excute() override;

};

class QOrthSlrRasterToolButton : public QToolAbstract {
	Q_OBJECT
public:
	QOrthSlrRasterToolButton( QWidget* parent = nullptr);
	~QOrthSlrRasterToolButton();
public slots:
	virtual void excute() override;

};

class MergeRasterProcessToolButton : public QToolAbstract {
	Q_OBJECT
public:
	MergeRasterProcessToolButton( QWidget* parent = nullptr);
	~MergeRasterProcessToolButton();
public slots:
	virtual void excute() override;

};

class SARSimlulationRFPCToolButton : public QToolAbstract {
	Q_OBJECT
public:
	SARSimlulationRFPCToolButton( QWidget* parent = nullptr);
	~SARSimlulationRFPCToolButton();
public slots:
	virtual void excute() override;

};

class SARSimulationTBPImageToolButton : public QToolAbstract {
	Q_OBJECT
public:
	SARSimulationTBPImageToolButton( QWidget* parent = nullptr);
	~SARSimulationTBPImageToolButton();
public slots:
	virtual void excute() override;

};


class DEMLLA2XYZToolButton : public QToolAbstract {
	Q_OBJECT
public:
	DEMLLA2XYZToolButton(QWidget* parent = nullptr);
	~DEMLLA2XYZToolButton();
public slots:
	virtual void excute() override;

};


class ClipRasterByRowCols :public QToolAbstract {
	Q_OBJECT
public:
	ClipRasterByRowCols(QWidget* parent = nullptr);
	~ClipRasterByRowCols();
public slots:
	
	virtual void excute() override;
};










void RegisterPreToolBox(RasterProcessTool* mainWindows);
